@ECHO OFF

REM ***************************************************************************
REM * Control Batch File for Splinter Cell Chaos Theory.
REM * Edit options as necessary
REM * Created by Beyond3D www.beyond3d.com
REM ***************************************************************************

@set SC3="F:\Program Files\Ubisoft\Tom Clancy's Splinter Cell Chaos Theory\SYSTEM\splintercell3.exe"
@mkdir "%HOMEDRIVE%\Documents and Settings\All Users\Application Data\Ubisoft\Tom Clancy's Splinter Cell Chaos Theory\"


REM * Setup map name and name of demo file to run

@set MapName=01_Lighthouse
@set DemoFile=01_lighthouse.dem


REM * Shader Profile: (1 = SM1.1, 3 = SM3.0)

@set shader=1


REM * Addition options for SM3.0 capable boards (0 = Disabled, 1 = Enabled)

@set ParallaxMapping=0
@set HQSoftShadows=0
@set HDR=0
@set ToneMapping=0


REM *  For MultiSample FSAA 0 = Disabled, 1 = 2x, 2 = 4x, 3 = 6x

@set af=1
@set aa=0
call run.bat 640 480 %shader% %af% %aa% %ParallaxMapping% %HQSoftShadows% %HDR% %ToneMapping% %MapName% %DemoFile%
call run.bat 640 480 %shader% %af% %aa% %ParallaxMapping% %HQSoftShadows% %HDR% %ToneMapping% %MapName% %DemoFile%
call run.bat 800 600 %shader% %af% %aa% %ParallaxMapping% %HQSoftShadows% %HDR% %ToneMapping% %MapName% %DemoFile%
call run.bat 1024 768 %shader% %af% %aa% %ParallaxMapping% %HQSoftShadows% %HDR% %ToneMapping% %MapName% %DemoFile%
call run.bat 1280 1024 %shader% %af% %aa% %ParallaxMapping% %HQSoftShadows% %HDR% %ToneMapping% %MapName% %DemoFile%
call run.bat 1600 1200 %shader% %af% %aa% %ParallaxMapping% %HQSoftShadows% %HDR% %ToneMapping% %MapName% %DemoFile%

@set af=8
@set aa=0
#call run.bat 640 480 %shader% %af% %aa% %ParallaxMapping% %HQSoftShadows% %HDR% %ToneMapping% %MapName% %DemoFile%
#call run.bat 800 600 %shader% %af% %aa% %ParallaxMapping% %HQSoftShadows% %HDR% %ToneMapping% %MapName% %DemoFile%
#call run.bat 1024 768 %shader% %af% %aa% %ParallaxMapping% %HQSoftShadows% %HDR% %ToneMapping% %MapName% %DemoFile%
#call run.bat 1280 1024 %shader% %af% %aa% %ParallaxMapping% %HQSoftShadows% %HDR% %ToneMapping% %MapName% %DemoFile%
#call run.bat 1600 1200 %shader% %af% %aa% %ParallaxMapping% %HQSoftShadows% %HDR% %ToneMapping% %MapName% %DemoFile%

@set af=1
@set aa=2
#call run.bat 640 480 %shader% %af% %aa% %ParallaxMapping% %HQSoftShadows% %HDR% %ToneMapping% %MapName% %DemoFile%
#call run.bat 800 600 %shader% %af% %aa% %ParallaxMapping% %HQSoftShadows% %HDR% %ToneMapping% %MapName% %DemoFile%
#call run.bat 1024 768 %shader% %af% %aa% %ParallaxMapping% %HQSoftShadows% %HDR% %ToneMapping% %MapName% %DemoFile%
#call run.bat 1280 1024 %shader% %af% %aa% %ParallaxMapping% %HQSoftShadows% %HDR% %ToneMapping% %MapName% %DemoFile%
#call run.bat 1600 1200 %shader% %af% %aa% %ParallaxMapping% %HQSoftShadows% %HDR% %ToneMapping% %MapName% %DemoFile%

@set af=8
@set aa=2
call run.bat 640 480 %shader% %af% %aa% %ParallaxMapping% %HQSoftShadows% %HDR% %ToneMapping% %MapName% %DemoFile%
call run.bat 800 600 %shader% %af% %aa% %ParallaxMapping% %HQSoftShadows% %HDR% %ToneMapping% %MapName% %DemoFile%
call run.bat 1024 768 %shader% %af% %aa% %ParallaxMapping% %HQSoftShadows% %HDR% %ToneMapping% %MapName% %DemoFile%
call run.bat 1280 1024 %shader% %af% %aa% %ParallaxMapping% %HQSoftShadows% %HDR% %ToneMapping% %MapName% %DemoFile%
call run.bat 1600 1200 %shader% %af% %aa% %ParallaxMapping% %HQSoftShadows% %HDR% %ToneMapping% %MapName% %DemoFile%